=== debian/changelog ===
yate (3.3.3.vir2011052702) UNRELEASED; urgency=low

  * Crash fix

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Fri, 27 May 2011 12:33:26 +0400

yate (3.3.3.vir2011052701) UNRELEASED; urgency=low

  * SDP fmtp lines forwarding fix

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Fri, 27 May 2011 12:13:46 +0400

yate (3.3.3.vir2011052601) UNRELEASED; urgency=low

  * SDP fmtp lines forwarding

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Thu, 26 May 2011 18:52:34 +0400

yate (3.3.3.vir2011051601) UNRELEASED; urgency=low

  * Merged marian's QOP implementation

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Mon, 16 May 2011 14:08:31 +0400

yate (3.3.3.vir2011051401) UNRELEASED; urgency=low

  * Merge SIP QOP handling with upstream
  * New Yate.pm

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Sat, 14 May 2011 10:49:42 +0400

yate (3.3.3.vir2011050401) UNRELEASED; urgency=low

  * Merged upstream updates

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Wed, 04 May 2011 23:03:00 +0400

yate (3.3.3.vir2011050305) UNRELEASED; urgency=low

  * Support "xsip_body_encoding" parameter in xsip.generate message

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Tue, 03 May 2011 22:34:03 +0400

yate (3.3.3.vir2011050304) UNRELEASED; urgency=low

  * FAKE

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Tue, 03 May 2011 14:23:35 +0400

yate (3.3.3.vir2011043001) UNRELEASED; urgency=low

  * Merged upstream fixes

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Sat, 30 Apr 2011 10:39:21 +0400

yate (3.3.3.vir2011042801) UNRELEASED; urgency=low

  * Merged upstream fixes

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Thu, 28 Apr 2011 22:30:19 +0400

yate (3.3.3.vir2011041701) UNRELEASED; urgency=low

  * New debian package. Fixed pidfile-related troubles.
  * Merged a lot of upstream fixes.

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Sun, 17 Apr 2011 00:09:18 +0400

yate (3.2.1.vir2011032102) UNRELEASED; urgency=low

  * Moved jabberclient.yate from yate-qt4 into libyate package

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Mon, 21 Mar 2011 20:52:22 +0300

yate (3.2.1.vir2011032101) UNRELEASED; urgency=low

  * pulled in upstramm changes (tel: uri support and bug fixes)

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Mon, 21 Mar 2011 16:05:12 +0300

yate (3.2.1.vir2011031401) UNRELEASED; urgency=low

  * Fix bug introduced by recent history rewrite

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Mon, 14 Mar 2011 06:57:58 +0300

yate (3.2.1.vir2011031101) UNRELEASED; urgency=low

  * pulled in upstramm changes

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Fri, 11 Mar 2011 11:29:59 +0300

yate (3.1.1.vir2011021901) UNRELEASED; urgency=low

  * pulled in upstream changes

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Sat, 19 Feb 2011 13:55:49 +0300

yate (3.1.1.vir2011020601) UNRELEASED; urgency=low

  * New Debian stable release out there, we have new versioning scheme for testing and stable ports

 -- Vasily i. Redkin <yatedeb@vir.otvt.ru>  Sun, 06 Feb 2011 13:29:09 +0300

yate (3.1.1.vir2011020102) UNRELEASED; urgency=low

  * Pulled in upstream changes

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Tue, 01 Feb 2011 11:22:30 +0300

yate (3.0.1.vir2011020101) UNRELEASED; urgency=low

  * Changed debian package versioning scheme to YYYYMMDDRR

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Tue, 01 Feb 2011 10:16:25 +0300

yate (3.0.0.vir12647) unstable; urgency=low

  * Fixed dependency packages versions

 -- Vasily i. Redkin <vir@vir.otvt.ru>  Thu, 29 Apr 2010 13:17:26 +0400

yate (3.0.0.vir12646) unstable; urgency=low

  * Changed version scheme to include svk revision

 -- Vasily i. Redkin <vir@vir.ctm.ru>  Thu, 29 Apr 2010 10:52:57 +0400

yate (3.0.0) unstable; urgency=low

  * Updated to new version

 -- Vasily i. Redkin <vir@vir.ctm.ru>  Fri, 23 Apr 2010 17:46:14 +0400

yate (2.0.0) unstable; urgency=low

  * Initial Release.

 -- Vasily i. Redkin <vir@ctm.ru>  Mon, 06 Oct 2008 13:28:44 +0400
